#!/bin/bash

DIRECTORY_PATH="$1"
PRODUCTS=("${@:2}")

echo $DIRECTORY_PATH
echo $PRODUCTS

#check if --color parameter is supported in running macOS version
currentver=$(sw_vers -productVersion)
requiredver="10.14"
color=""

if [ "$(printf '%s\n' "$requiredver" "$currentver" | sort -V | head -n1)" = "$requiredver" ]; then
    color="--color always"
fi

#log selection
for PRODUCT in "${PRODUCTS[@]}"
do
    echo "Looking for $PRODUCT process system logs"
    log show --archive "${DIRECTORY_PATH}/SystemLogs/system_logs.logarchive" --last 10d $color --predicate "process == '${PRODUCT}'" > "${DIRECTORY_PATH}/SystemLogs/${PRODUCT}.log"
done

echo "Finished gathering system logs"
